Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 18499

Description

Hi,

I try to create new Spatialite layer with 2.2 or 2.3 version with CRS EPSG:3879. I couldn't find that CRS in the dialog.

There is old ETRS-GKxxFIN (EPSG:3126-3138), but those are depreacted CRSs.

However QGIS fill have current GK cres (EPSG:3873-3885), but with creation of spatialite layer you can't use those. You can create

shapefile with these new GK crs.

I believe this is not relevant to operating system, but I will test later on with Ubuntu.

P

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2016-03-30 06:57 AM - Pekka Sarkola

Hi!

Did somebody something for this? It seems that it's not bug on 2.14

#3 - 2016-03-31 04:50 AM - Jukka Rahkonen

I guess that QGIS is built with newer Spatialite version and fix comes from there.

Even a couple of years old Spatialite 4.2 has these new definitions:

SELECT * FROM "spatial_ref_sys" where srid=3879;

3879    epsg    3879    ETRS89 / GK25FIN    +proj=tmerc +lat_0=0 +lon_0=25 +k=1 +x_0=25500000 +y_0=0 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0

+units=m +no_defs    PROJCS["ETRS89 / GK25FIN",GEOGCS["ETRS89",DATUM["European_Terrestrial_Reference_System_1989",SPHEROID["GRS

1980",6378137,298.257222101,AUTHORITY["EPSG","7019"]],TOWGS84[0,0,0,0,0,0,0],AUTHORITY["EPSG","6258"]],PRIMEM["Greenwich",0,AUTHORITY["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY["EPSG","9122"]],AUTHORITY["EPSG","4258"]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",25],PARAMETER["scale_factor",1],PARAMETER["false_easting",255

RITY["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY["EPSG","9122"]],AUTHORITY["EPSG","4258"]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",25],PARAMETER["scale_factor",1],PARAMETER["false_easting",25500000],PARAMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AUTHORITY["EPSG","3879"]]

ercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",25],PARAMETER["scale_factor",1],PARAMETER["false_easting",25500000],PARAMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AUTHORITY["EPSG","3879"]]

00],PARAMETER["false_northing",0],UNIT["metre",1,AUTHORITY["EPSG","9001"]],AUTHORITY["EPSG","3879"]]
I would suggest to close this ticket as fixed.

#4 - 2016-03-31 04:57 AM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed
